View Issue Details

IDProjectCategoryView StatusLast Update
0005241GNUnethostlist daemonpublic2019-02-28 11:17
ReporterxrsAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSarchlinuxOS Versionhead
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0 
Summary0005241: make check in hostlist/test_gnunet_daemon_hostlist_learning fails
Descriptionmake check in hostlist/test_gnunet_daemon_hostlist_learning fails
Steps To Reproduce$ cd hostlist
$ make check

I also executed:
Additional Information> env GNUNET_FORCE_LOG="test_gnunet_daemon_hostlist_learning;;;;DEBUG/hostlist;;;;DEBUG" GNUNET_FORCE_LOGFILE="debug.log" ./.libs/test_gnunet_daemon_hostlist_learning

See debug.log.
TagsNo tags attached.

Activities

Christian Grothoff

2018-06-07 23:33

manager   ~0013028

Is this still an issue?

xrs

2018-06-24 00:10

developer   ~0013064

Yes, the test case still ends with the error message:
ERROR Learning peer did not receive advertisement from server
ERROR Advertised hostlist could not be downloaded from server

Peer A seems to send the advertisement (deduced from gnunet-statistics). But peer B does not receive something and thus handle_ad_arrive() is not called. I verified this with a gdb breakpoint and putting GNUNET_LOG() inside.

The other contradictory information is that way before the testcase ends with "ERROR Advertised hostlist could not be downloaded from server" Peer B says:
Download of hostlist `http://localhost:12981/' completed.

xrs

2018-06-24 00:19

developer   ~0013065

Added the log for test_gnunet_daemon_learning.log.

test_gnunet_daemon_hostlist_learning.log (74,759 bytes)

xrs

2018-06-26 23:55

developer   ~0013086

Problem solved and lesson learned: be careful with local firewalls if you run gnunet. The hostlist service uses client and server, so make sure the server can open connection to the local host.

Aside from this we found a bug in gnunet-helper-nat-server.c which caused a cpu burst when connections are blocked. That shouldn't happen.

Issue History

Date Modified Username Field Change
2018-01-03 19:10 xrs New Issue
2018-01-12 12:14 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 23:33 Christian Grothoff Note Added: 0013028
2018-06-07 23:33 Christian Grothoff Status new => feedback
2018-06-23 17:51 xrs Assigned To => xrs
2018-06-23 17:51 xrs Status feedback => assigned
2018-06-24 00:10 xrs Note Added: 0013064
2018-06-24 00:10 xrs Assigned To xrs => Christian Grothoff
2018-06-24 00:19 xrs File Added: test_gnunet_daemon_hostlist_learning.log
2018-06-24 00:19 xrs Note Added: 0013065
2018-06-26 23:55 xrs Status assigned => resolved
2018-06-26 23:55 xrs Resolution open => fixed
2018-06-26 23:55 xrs Fixed in Version => SVN HEAD
2018-06-26 23:55 xrs Note Added: 0013086
2019-02-16 11:55 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed